Index: NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/src/ICE/icedyn_rhg_vp.F90
===================================================================
--- NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/src/ICE/icedyn_rhg_vp.F90	(revision 14219)
+++ NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/src/ICE/icedyn_rhg_vp.F90	(revision 14644)
@@ -461,5 +461,5 @@
 
          CALL lbc_lnk( 'icedyn_rhg_vp', zds, 'F', 1._wp ) ! MV TEST could be un-necessary according to Gurvan
-         CALL iom_put( 'zds'        , zds      )   ! MV DEBUG
+         CALL iom_put( 'zds'          , zds      )   ! MV DEBUG
 
          IF( lwp )   WRITE(numout,*) ' outer loop  1a i_out : ', i_out
@@ -506,5 +506,5 @@
          END DO
          
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zp_deltastar_t , 'T', 1._wp , zzt , 'T', 1._wp, zet, 'T', 1._wp )
+         CALL lbc_lnk( 'icedyn_rhg_vp', zp_deltastar_t , 'T', 1._wp , zzt , 'T', 1._wp, zet, 'T', 1._wp )
 
          CALL iom_put( 'zzt'        , zzt      )   ! MV DEBUG
@@ -527,5 +527,5 @@
          
          CALL lbc_lnk( 'icedyn_rhg_vp', zef, 'F', 1._wp )
-         CALL iom_put( 'zef'           , zef            ) ! MV DEBUG
+         CALL iom_put( 'zef'          , zef            ) ! MV DEBUG
          IF( lwp )   WRITE(numout,*) ' outer loop  1c i_out : ', i_out
 
@@ -567,6 +567,6 @@
          IF( lwp )   WRITE(numout,*) ' outer loop  1d i_out : ', i_out
          
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zCwU ,  'U', -1._wp, zCwV, 'V', -1._wp )
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zCorU,  'U', -1._wp, zCorV, 'V', -1._wp )
+         CALL lbc_lnk( 'icedyn_rhg_vp', zCwU ,  'U', -1._wp, zCwV, 'V', -1._wp )
+         CALL lbc_lnk( 'icedyn_rhg_vp', zCorU,  'U', -1._wp, zCorV, 'V', -1._wp )
 
          CALL iom_put( 'zCwU'          , zCwU           ) ! MV DEBUG
@@ -674,7 +674,7 @@
          END DO
          
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zrhsu, 'U', -1._wp, zrhsv, 'V',  -1._wp)
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zmU_t, 'U', -1._wp, zmV_t, 'V',  -1._wp)
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', ztaux_oi_rhsu, 'U', -1._wp, ztauy_oi_rhsv, 'V',  -1._wp)
+         CALL lbc_lnk( 'icedyn_rhg_vp', zrhsu, 'U', -1._wp, zrhsv, 'V',  -1._wp)
+         CALL lbc_lnk( 'icedyn_rhg_vp', zmU_t, 'U', -1._wp, zmV_t, 'V',  -1._wp)
+         CALL lbc_lnk( 'icedyn_rhg_vp', ztaux_oi_rhsu, 'U', -1., ztauy_oi_rhsv, 'V',  -1.)
 
          CALL iom_put( 'zmU_t'         , zmU_t          ) ! MV DEBUG
@@ -779,9 +779,9 @@
          END DO
 
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zAU  , 'U', 1._wp, zAV  , 'V',  1._wp )
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zBU  , 'U', 1._wp, zBV  , 'V',  1._wp )
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zCU  , 'U', 1._wp, zCV  , 'V',  1._wp )
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zDU  , 'U', 1._wp, zDV  , 'V',  1._wp )
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zEU  , 'U', 1._wp, zEV  , 'V',  1._wp )
+         CALL lbc_lnk( 'icedyn_rhg_vp', zAU  , 'U', 1._wp, zAV  , 'V',  1._wp )
+         CALL lbc_lnk( 'icedyn_rhg_vp', zBU  , 'U', 1._wp, zBV  , 'V',  1._wp )
+         CALL lbc_lnk( 'icedyn_rhg_vp', zCU  , 'U', 1._wp, zCV  , 'V',  1._wp )
+         CALL lbc_lnk( 'icedyn_rhg_vp', zDU  , 'U', 1._wp, zDV  , 'V',  1._wp )
+         CALL lbc_lnk( 'icedyn_rhg_vp', zEU  , 'U', 1._wp, zEV  , 'V',  1._wp )
                
          CALL iom_put( 'zAU'           , zAU            ) ! MV DEBUG
@@ -885,5 +885,5 @@
                      END DO
 
-                     CALL lbc_lnk_multi( 'icedyn_rhg_vp', zFU_prime, 'U',  1._wp, zBU_prime, 'U', 1._wp )
+                     CALL lbc_lnk( 'icedyn_rhg_vp', zFU_prime, 'U',  1._wp, zBU_prime, 'U', 1._wp )
  
                      !-----------------------------
@@ -983,5 +983,5 @@
                      END DO
 
-                     CALL lbc_lnk_multi( 'icedyn_rhg_vp', zFV_prime, 'V',  1._wp, zBV_prime, 'V', 1._wp )
+                     CALL lbc_lnk( 'icedyn_rhg_vp', zFV_prime, 'V',  1._wp, zBV_prime, 'V', 1._wp )
                      
                      !-----------------------------
@@ -1020,5 +1020,5 @@
                ENDIF !   ll_v_iterate
 
-               CALL lbc_lnk_multi( 'icedyn_rhg_vp', u_ice, 'U', -1._wp, v_ice, 'V', -1._wp )
+               CALL lbc_lnk( 'icedyn_rhg_vp', u_ice, 'U', -1._wp, v_ice, 'V', -1._wp )
                               
                !--------------------------------------------------------------------------------------
@@ -1110,8 +1110,8 @@
       IF ( lwp ) WRITE(numout,*) ' We are out of outer loop '
 
-      CALL lbc_lnk_multi( 'icedyn_rhg_vp', zFU  , 'U',  1._wp, zFV  , 'V',  1._wp )
-      CALL lbc_lnk_multi( 'icedyn_rhg_vp', zBU_prime  , 'U',  1._wp, zBV_prime  , 'V',  1._wp )
-      CALL lbc_lnk_multi( 'icedyn_rhg_vp', zFU_prime  , 'U',  1._wp, zFV_prime  , 'V',  1._wp )
-      CALL lbc_lnk_multi( 'icedyn_rhg_vp', zCU_prime  , 'U',  1._wp, zCV_prime  , 'V',  1._wp )
+      CALL lbc_lnk( 'icedyn_rhg_vp', zFU  , 'U',  1., zFV  , 'V',  1. )
+      CALL lbc_lnk( 'icedyn_rhg_vp', zBU_prime  , 'U',  1._wp, zBV_prime  , 'V',  1._wp )
+      CALL lbc_lnk( 'icedyn_rhg_vp', zFU_prime  , 'U',  1._wp, zFV_prime  , 'V',  1._wp )
+      CALL lbc_lnk( 'icedyn_rhg_vp', zCU_prime  , 'U',  1._wp, zCV_prime  , 'V',  1._wp )
 
       CALL iom_put( 'zFU'           , zFU            ) ! MV DEBUG
@@ -1125,5 +1125,5 @@
       CALL iom_put( 'zFV_prime'     , zFV_prime      ) ! MV DEBUG
 
-      CALL lbc_lnk_multi( 'icedyn_rhg_vp', u_ice, 'U', -1._wp, v_ice, 'V', -1._wp )
+      CALL lbc_lnk( 'icedyn_rhg_vp', u_ice, 'U', -1._wp, v_ice, 'V', -1._wp )
 
       IF ( lwp ) WRITE(numout,*) ' We are about to output uice_dbg '
@@ -1161,5 +1161,5 @@
       END DO
 
-      CALL lbc_lnk_multi( 'icedyn_rhg_vp', u_ice, 'U', -1._wp, v_ice, 'V', -1._wp )
+      CALL lbc_lnk( 'icedyn_rhg_vp', u_ice, 'U', -1._wp, v_ice, 'V', -1._wp )
 
       IF ( lwp ) WRITE(numout,*) ' Velocity replaced '
@@ -1222,5 +1222,5 @@
       IF ( lwp ) WRITE(numout,*) ' Deformation recalculated '
       
-      CALL lbc_lnk_multi( 'icedyn_rhg_vp', pshear_i, 'T', 1._wp, pdivu_i, 'T', 1._wp, pdelta_i, 'T', 1._wp )
+      CALL lbc_lnk( 'icedyn_rhg_vp', pshear_i, 'T', 1._wp, pdivu_i, 'T', 1._wp, pdelta_i, 'T', 1._wp )
       
       !------------------------------------------------------------------------------!
@@ -1249,5 +1249,5 @@
          END DO
 
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zs1, 'T', 1._wp, zs2, 'T', 1._wp, zs12, 'T', 1._wp )
+         CALL lbc_lnk( 'icedyn_rhg_vp', zs1, 'T', 1._wp, zs2, 'T', 1._wp, zs12, 'T', 1._wp )
       
       ENDIF
@@ -1307,6 +1307,6 @@
          
          !
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', ztaux_oi, 'U', -1._wp, ztauy_oi, 'V', -1._wp, ztaux_ai, 'U', -1._wp, ztauy_ai, 'V', -1._wp ) !, &
-!            &                                 ztaux_bi, 'U', -1., ztauy_bi, 'V', -1. )
+         CALL lbc_lnk( 'icedyn_rhg_vp', ztaux_oi, 'U', -1._wp, ztauy_oi, 'V', -1._wp, ztaux_ai, 'U', -1._wp, ztauy_ai, 'V', -1. ) !, &
+!            &                           ztaux_bi, 'U', -1.)_wp, ztauy_bi, 'V', -1._wp )
          !
          CALL iom_put( 'utau_oi' , ztaux_oi * zmsk00 )
@@ -1348,5 +1348,5 @@
          END DO
 
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zsig_I, 'T', 1._wp, zsig_II, 'T', 1._wp)
+         CALL lbc_lnk( 'icedyn_rhg_vp', zsig_I, 'T', 1._wp, zsig_II, 'T', 1._wp)
          
          IF( iom_use('normstr') )   CALL iom_put( 'normstr' ,   zsig_I(:,:)  * zmsk00(:,:) ) ! Normal stress
@@ -1393,5 +1393,5 @@
          IF ( lwp ) WRITE(numout,*) 'Some shitty stress work done'
          !
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zsig1_p, 'T', 1._wp, zsig2_p, 'T', 1._wp)
+         CALL lbc_lnk( 'icedyn_rhg_vp', zsig1_p, 'T', 1._wp, zsig2_p, 'T', 1._wp)
          !      
          IF ( lwp ) WRITE(numout,*) ' Beauaaaarflblbllll '
@@ -1423,6 +1423,6 @@
          END DO
          !
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zspgU, 'U', -1._wp, zspgV, 'V', -1._wp, &
-            &                                 zCorU, 'U', -1._wp, zCorV, 'V', -1._wp )
+         CALL lbc_lnk( 'icedyn_rhg_vp', zspgU, 'U', -1._wp, zspgV, 'V', -1._wp, &
+            &                           zCorU, 'U', -1._wp, zCorV, 'V', -1._wp )
          !
          CALL iom_put( 'dssh_dx' , zspgU * zmsk00 )   ! Sea-surface tilt term in force balance (x)
@@ -1453,5 +1453,5 @@
          END DO
             
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zfU, 'U', -1._wp, zfV, 'V', -1._wp )
+         CALL lbc_lnk( 'icedyn_rhg_vp', zfU, 'U', -1._wp, zfV, 'V', -1._wp )
          
          CALL iom_put( 'intstrx' , zfU   * zmsk00 )   ! Internal force term in force balance (x)
@@ -1485,7 +1485,7 @@
          END DO
 
-         CALL lbc_lnk_multi( 'icedyn_rhg_vp', zdiag_xmtrp_ice, 'U', -1._wp, zdiag_ymtrp_ice, 'V', -1._wp, &
-            &                                 zdiag_xmtrp_snw, 'U', -1._wp, zdiag_ymtrp_snw, 'V', -1._wp, &
-            &                                 zdiag_xatrp    , 'U', -1._wp, zdiag_yatrp    , 'V', -1._wp )
+         CALL lbc_lnk( 'icedyn_rhg_vp', zdiag_xmtrp_ice, 'U', -1._wp, zdiag_ymtrp_ice, 'V', -1._wp, &
+            &                           zdiag_xmtrp_snw, 'U', -1._wp, zdiag_ymtrp_snw, 'V', -1._wp, &
+            &                           zdiag_xatrp    , 'U', -1._wp, zdiag_yatrp    , 'V', -1._wp )
 
          CALL iom_put( 'xmtrpice' , zdiag_xmtrp_ice )   ! X-component of sea-ice mass transport (kg/s)
